=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
-Build-Depends: debhelper (>= 9.0.0), g++, ros-melodic-catkin, ros-melodic-catkin-virtualenv, ros-melodic-dynamic-reconfigure, ros-melodic-roslaunch, ros-melodic-rostest, ros-melodic-speech-recognition-msgs
+Build-Depends: debhelper (>= 9.0.0), g++, ros-melodic-catkin, ros-melodic-catkin-virtualenv, ros-melodic-dynamic-reconfigure, ros-melodic-roslaunch <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-speech-recognition-msgs
 Homepage: https://pypi.python.org/pypi/SpeechRecognition/
 Standards-Version: 3.9.2
